Platform O&M/Cloud Monitoring/Monitoring and Alarm/SNS/SNS Operations
PUTSNS OperationsSince 2.3SynchronousAuth Required
UpdateSNSApplicationPlatform
UpdateSNSApplicationPlatform
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringOptional. The resource UUID.
Body Fields
updatesnsapplicationplatformObjectRequiredupdatesnsapplicationplatform request body object.
nameStringOptional. The resource name.
descriptionStringOptional. The detailed description of the resource.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/sns/application-platforms/{uuid}/actions
/zstack/v1/sns/application-platforms/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/sns/application-platforms/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatesnsapplicationplatform":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "uuid": "5687e054cc0744f0b048e825b5b9475f", "name": "email platform", "description": "example description", "state": "Enabled", "type": "Email", "createDate": "Dec 25, 2023 2:06:02 PM", "lastOpDate": "Dec 25, 2023 2:06:02 PM" } }Change History
This API has no change history records yet.
